// editbar.h : header file
//
// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (C) 1992-1997 Microsoft Corporation
// All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

//#include "searchbx.h"

/////////////////////////////////////////////////////////////////////////////
// CEditBar window

class DLL_CLASS CEditBar : public CToolBar
{
// Construction
public:
	BOOL			m_bColor;
	CComboBox	m_tPerceptionBox;
	CComboBox	m_tActionBox;

	CEditBar();
	BOOL Init(CWnd* pParentWnd, BOOL bColor, BOOL bToolTips);
	BOOL SetHorizontal();
	BOOL SetVertical();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditBar)
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL m_bVertical;

	virtual			~CEditBar();
//	virtual CSize	CalcFixedLayout(BOOL bStretch, BOOL bHorz);
	virtual CSize	CalcDynamicLayout(int nLength, DWORD dwMode);
	CString			GetSelectedAction();
	CString			GetSelectedPerception();
	CComboBox*		GetComboPerception() { return &m_tPerceptionBox; };
	CComboBox*		GetComboAction() { return &m_tActionBox; };

	// Generated message map functions
protected:
	//{{AFX_MSG(CEditBar)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
