// TScreenParams.cpp: implementation of the TScreenParams class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TScreenParams.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TScreenParams::TScreenParams()
{
	m_tMiddle = CPoint(DEFAULT_MIDX, DEFAULT_MIDY);
	m_dScale = DEFAULT_SCALEX;
	m_tTranslate = CPoint(0, 0);
	m_bDrawDegreeOfFreeness = FALSE;
	m_bDrawFutureBall = FALSE;
	SetAbsoluteView();
	m_iStretchX = 4;
	m_iStretchY = -10;
}

TScreenParams::~TScreenParams()
{
}

void TScreenParams::SetParams(int sizex, int sizey, double scalex)
{
	m_tMiddle.x = sizex;
	m_tMiddle.y = sizey;
	m_dScale = scalex;
}

void TScreenParams::SetTopView()
{ 
	m_bTopView = TRUE;
	m_bRelativeView = FALSE;
	m_bAbsoluteView = FALSE;
}

void TScreenParams::SetRelativeView()
{ 
	m_bTopView = FALSE;
	m_bRelativeView = TRUE;
	m_bAbsoluteView = FALSE;
}

void TScreenParams::SetAbsoluteView()
{ 
	m_bTopView = FALSE;
	m_bRelativeView = FALSE;
	m_bAbsoluteView = TRUE;
}

